Package org.xnio.conduits

# Interface WriteReadyHandler

All Superinterfaces:
  `TerminateHandler`

All Known Implementing Classes:
  `WriteReadyHandler.ChannelListenerHandler`

public interface WriteReadyHandler extends TerminateHandler
A conduit write-ready handler.

Author:
  David M. Lloyd

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`WriteReadyHandler.ChannelListenerHandler<C extends SuspendableWriteChannel & WriteListenerSettable<C> & CloseListenerSettable<C>>`
A write ready handler which calls channel listener(s).
`static class`
`WriteReadyHandler.ReadyTask`
A runnable task which invokes the `writeReady()` method of the given handler.

## Method Summary

Modifier and Type
Method
Description
`void`
`writeReady()`
Signify that writes are ready.

### Methods inherited from interface org.xnio.conduits.TerminateHandler

`forceTermination, terminated`

## Method Details

### writeReady

void writeReady()
Signify that writes are ready.